POST api/InstantServiceAppointment/UpdateInstantServiceAppointmentStatus
Request Information
URI Parameters
None.
Body Parameters
clsInstantServiceAppointmentDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| InstantServiceAppointmentId | globally unique identifier |
None. |
|
| InstantServiceId | globally unique identifier |
None. |
|
| UserRegistrationId | globally unique identifier |
None. |
|
| UserAddressId | globally unique identifier |
None. |
|
| Amount | decimal number |
None. |
|
| TaxPercentage | decimal number |
None. |
|
| AppointmentDate | date |
None. |
|
| BookingTime | date |
None. |
|
| AppointmentTime | date |
None. |
|
| AppointmentOrderNo | string |
None. |
|
| Status | string |
None. |
|
| InstantCartNo | integer |
None. |
|
| Quantity | integer |
None. |
|
| DeliveryRegistrationId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"instantServiceAppointmentId": "0bf2b81a-7eca-4f07-b5c9-8fc1164cc645",
"instantServiceId": "9a7ca9b3-6ee6-49a2-8960-a9525dab4790",
"userRegistrationId": "8b4359d2-c64b-4ad5-87a3-2e1a2edd7f07",
"userAddressId": "27e310fb-e54e-4147-bc52-f758e74bda44",
"amount": 5.0,
"taxPercentage": 6.0,
"appointmentDate": "2026-08-09T16:02:57.14336+05:30",
"bookingTime": "2026-08-09T16:02:57.14336+05:30",
"appointmentTime": "2026-08-09T16:02:57.14336+05:30",
"appointmentOrderNo": "sample string 10",
"status": "sample string 11",
"instantCartNo": 12,
"quantity": 13,
"deliveryRegistrationId": "e4a73bff-bf4c-40c5-87c7-b5c4d4ac5ca9"
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |